import { ButtonHTMLAttributes, ReactNode } from 'react';
import { ComponentWithLinkProps } from '../../utils/Links/LinkWrapper';
export interface ButtonProps {
    variant?: ButtonVariant;
    title?: string;
    buttonProps?: ButtonHTMLAttributes<HTMLButtonElement>;
    children?: ReactNode;
    color?: ButtonColor;
    className?: string;
}
export declare enum ButtonVariant {
    DEFAULT = "default",
    PRIMARY = "primary"
}
export declare enum ButtonColor {
    YELLOW = "yellow",
    BLUE = "blue",
    GREEN = "green",
    ORANGE = "orange",
    RED = "red",
    BLACK = "black"
}
declare type ButtonWithLinkProps = ButtonProps & ComponentWithLinkProps;
export declare const Button: (props: ButtonProps | ButtonWithLinkProps) => JSX.Element;
export {};
