/// <reference types="react" />
import { GradientColor } from '../utils/Gradient.utils';
import { TextColor } from '../utils/Text.utils';
import { GeneralImageProps } from '../utils/Images';
import { ComponentWithLinkProps } from '../utils/Links/LinkWrapper';
export interface LinkWithThumbnailProps extends GeneralImageProps, ComponentWithLinkProps {
    linkPosition: LinkPosition;
    title: string;
    textColor?: TextColor;
    gradientColor?: GradientColor;
    className?: {
        title?: string;
        overlay?: string;
        outerDiv?: string;
    };
}
export declare enum LinkPosition {
    INSIDE_BOTTOM_LEFT = "inside-bottom-left",
    OUTSIDE_BOTTOM_CENTER = "outside-bottom-center"
}
export declare const LinkWithThumbnail: ({ link, shouldOpenInNewTabOverride, imageUrl, alt, title, linkPosition, gradientColor, className, textColor }: LinkWithThumbnailProps) => JSX.Element;
